de.esprit.common.gui.table

## Class TableSelectionAction

- java.lang.Object
- - javax.swing.AbstractAction
  - - de.esprit.common.gui.ZAction
    - - de.esprit.common.gui.table.TableDataAction
      - - de.esprit.common.gui.table.TableSelectionAction

- All Implemented Interfaces:
    ApplicationObject, ErrorHandlerSupport, SimpleLogSupport, java.awt.event.ActionListener, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, javax.swing.Action

      public abstract class TableSelectionAction
      extends TableDataAction

  This action is only active when the underlying table has got a row selected.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableSelectionAction(javax.swing.JTable table, NlsActionKey nls)`
    `TableSelectionAction(javax.swing.JTable table, NlsActionKey nls, IconKey iconKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TableDataController` | `createTableController(javax.swing.JTable table)`
    `protected int` | `getSelectedRow()`
    `protected int[]` | `getSelectedRows()`
    `int` | `getSelectionCount()`
    `protected TableSelectionController` | `getTableController()`
    `boolean` | `isSelectionEmpty()`
    `void` | `setActivationMode(ActivationMode mode)`

    - ### Methods inherited from class de.esprit.common.gui.table.TableDataAction

      `checkEnableCondition, getTable, isTableEmpty`

    - ### Methods inherited from class de.esprit.common.gui.ZAction

      `actionConfirmed, actionDenied, actionFailed, actionFired, actionPerformed, actionPrepare, actionSucceeded, fire, getApplicationContext, getButtonText, getIcon, getLogChannel, getMenuText, getName, getPressedIcon, getTipText, isForced, isHandleError, isLogDebug, isLogVerbose, isPermitted, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, performAvailabilityCheck, setBusyAnimationEnabled, setHandleError, setIcon, setIcon, setLogChannel, setName, setPressedIcon, setPressedIcon, setText, setTipText, setValidator, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toString`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TableSelectionAction

          public TableSelectionAction(javax.swing.JTable table,
                              NlsActionKey nls)

    - #### TableSelectionAction

          public TableSelectionAction(javax.swing.JTable table,
                              NlsActionKey nls,
                              IconKey iconKey)

  - ### Method Detail

    - #### createTableController

          protected TableDataController createTableController(javax.swing.JTable table)

      Overrides:
        `createTableController` in class `TableDataAction`

    - #### getTableController

          protected TableSelectionController getTableController()

      Overrides:
        `getTableController` in class `TableDataAction`

    - #### setActivationMode

          public void setActivationMode(ActivationMode mode)

    - #### getSelectedRow

          protected int getSelectedRow()

    - #### getSelectedRows

          protected int[] getSelectedRows()

    - #### getSelectionCount

          public int getSelectionCount()

    - #### isSelectionEmpty

          public boolean isSelectionEmpty()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.